Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
packages
Get all packages
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/packages
import requests

url = "https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/packages"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": "<unknown>",
  "limit": 123,
  "total": 123,
  "page": 123
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Headers

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Authorization
string

Bearer JWT token for authentication. Required when PLUGIN_AUTH_ENABLED=true (enforced in multi-tenant deployments). Optional in default OSS single-tenant mode. Format: Bearer <token>

Path Parameters

organization_id
string<uuid>
required

The unique identifier of the Organization associated with the Ledger.

Query Parameters

segmentId
string

Filter by segment ID (UUID)

ledgerId
string

Filter by ledger ID (UUID)

transactionRoute
string

Filter by transaction route

enable
string

Filter by enabled flag (true, false)

limit
string

Number of items per page (default 10)

page
string

Page number (default 1)

Response

OK

items
any
required
limit
integer<int64>
required
Example:

10

total
integer<int64>
required
Example:

10

page
integer<int64>
Example:

1